<?xml version="1.0"?>
<openbox_config xmlns="http://openbox.org/3.4/rc" xmlns:xi="http://www.w3.org/2001/XInclude">
  <resistance>
    <strength>60</strength>
    <screen_edge_strength>30</screen_edge_strength>
  </resistance>
  <focus>
    <focusNew>yes</focusNew>
    <!-- always try to focus new windows when they appear. other rules do
       apply -->
    <followMouse>no</followMouse>
    <!-- move focus to a window when you move the mouse into it -->
    <focusLast>yes</focusLast>
    <!-- focus the last used window when changing desktops, instead of the one
       under the mouse pointer. when followMouse is enabled -->
    <underMouse>no</underMouse>
    <!-- move focus under the mouse, even when the mouse is not moving -->
    <focusDelay>200</focusDelay>
    <!-- when followMouse is enabled, the mouse must be inside the window for
       this many milliseconds (1000 = 1 sec) before moving focus to it -->
    <raiseOnFocus>no</raiseOnFocus>
    <!-- when followMouse is enabled, and a window is given focus by moving the
       mouse into it, also raise the window -->
  </focus>
  <placement>
    <policy>Smart</policy>
    <!-- 'Smart' or 'UnderMouse' -->
    <center>yes</center>
    <!-- whether to place windows in the center of the free area found or
       the top left corner -->
    <monitor>Mouse</monitor>
    <!-- with Smart placement on a multi-monitor system, try to place new windows
       on: 'Any' - any monitor, 'Mouse' - where the mouse is, 'Active' - where
       the active window is, 'Primary' - only on the primary monitor -->
    <primaryMonitor>Mouse</primaryMonitor>
    <!-- The monitor where Openbox should place popup dialogs such as the
       focus cycling popup, or the desktop switch popup.  It can be an index
       from 1, specifying a particular monitor.  Or it can be one of the
       following: 'Mouse' - where the mouse is, or
                  'Active' - where the active window is -->
  </placement>
  <theme>
    <name>light-recbox</name> <!-- THEME_NAME -->
    <titleLayout>CL</titleLayout>
    <!--
      available characters are NDSLIMC, each can occur at most once.
      N: window icon
      L: window label (AKA title).
      I: iconify
      M: maximize
      C: close
      S: shade (roll up/down)
      D: omnipresent (on all desktops).
  -->
    <keepBorder>yes</keepBorder>
    <animateIconify>no</animateIconify>
    <font place="ActiveWindow">
      <name>Noto Sans Medium</name>
      <size>9</size>
      <!-- font size in points -->
      <weight>Normal</weight>
      <!-- 'bold' or 'normal' -->
      <slant>Normal</slant>
      <!-- 'italic' or 'normal' -->
    </font>
    <font place="InactiveWindow">
      <name>Noto Sans Medium</name>
      <size>9</size>
      <!-- font size in points -->
      <weight>Normal</weight>
      <!-- 'bold' or 'normal' -->
      <slant>Normal</slant>
      <!-- 'italic' or 'normal' -->
    </font>
    <font place="MenuHeader">
      <name>Noto Sans</name>
      <size>9</size>
      <!-- font size in points -->
      <weight>Bold</weight>
      <!-- 'bold' or 'normal' -->
      <slant>Normal</slant>
      <!-- 'italic' or 'normal' -->
    </font>
    <font place="MenuItem">
      <name>Noto Sans Medium</name>
      <size>9</size>
      <!-- font size in points -->
      <weight>Normal</weight>
      <!-- 'bold' or 'normal' -->
      <slant>Normal</slant>
      <!-- 'italic' or 'normal' -->
    </font>
    <font place="ActiveOnScreenDisplay">
      <name>Noto Sans Medium</name>
      <size>9</size>
      <!-- font size in points -->
      <weight>Normal</weight>
      <!-- 'bold' or 'normal' -->
      <slant>Normal</slant>
      <!-- 'italic' or 'normal' -->
    </font>
    <font place="InactiveOnScreenDisplay">
      <name>Noto Sans Medium</name>
      <size>9</size>
      <!-- font size in points -->
      <weight>Normal</weight>
      <!-- 'bold' or 'normal' -->
      <slant>Normal</slant>
      <!-- 'italic' or 'normal' -->
    </font>
  </theme>
  <desktops>
    <!-- this stuff is only used at startup, pagers allow you to change them
       during a session

       these are default values to use when other ones are not already set
       by other applications, or saved in your session

       use obconf if you want to change these without having to log out
       and back in -->
    <number>1</number>
    <firstdesk>1</firstdesk>
    <names>
      <name>1</name>
      <name>2</name>
      <name>3</name>
      <name>4</name>
      <name>5</name>
      <name>6</name>
      <name>7</name>
      <name>8</name>
    </names>
    <popupTime>800</popupTime>
    <!-- The number of milliseconds to show the popup for when switching
       desktops.  Set this to 0 to disable the popup. -->
  </desktops>
  <resize>
    <drawContents>yes</drawContents>
    <popupShow>Never</popupShow>
    <!-- 'Always', 'Never', or 'Nonpixel' (xterms and such) -->
    <popupPosition>Center</popupPosition>
    <!-- 'Center', 'Top', or 'Fixed' -->
    <popupFixedPosition>
      <!-- these are used if popupPosition is set to 'Fixed' -->
      <x>10</x>
      <!-- positive number for distance from left edge, negative number for
         distance from right edge, or 'Center' -->
      <y>10</y>
      <!-- positive number for distance from top edge, negative number for
         distance from bottom edge, or 'Center' -->
    </popupFixedPosition>
  </resize>
  <!-- You can reserve a portion of your screen where windows will not cover when
     they are maximized, or when they are initially placed.
     Many programs reserve space automatically, but you can use this in other
     cases. -->
  <margins>
    <top>0</top>
    <bottom>0</bottom>
    <left>0</left>
    <right>0</right>
  </margins>
  <dock>
    <position>TopLeft</position>
    <!-- (Top|Bottom)(Left|Right|)|Top|Bottom|Left|Right|Floating -->
    <floatingX>0</floatingX>
    <floatingY>0</floatingY>
    <noStrut>no</noStrut>
    <stacking>Above</stacking>
    <!-- 'Above', 'Normal', or 'Below' -->
    <direction>Vertical</direction>
    <!-- 'Vertical' or 'Horizontal' -->
    <autoHide>no</autoHide>
    <hideDelay>100</hideDelay>
    <!-- in milliseconds (1000 = 1 second) -->
    <showDelay>100</showDelay>
    <!-- in milliseconds (1000 = 1 second) -->
    <moveButton>Middle</moveButton>
    <!-- 'Left', 'Middle', 'Right' -->
  </dock>
  <menu>
    <!-- You can specify more than one menu file in here and they are all loaded,
       just don't make menu ids clash or, well, it'll be kind of pointless -->
    <!-- default menu file (or custom one in $HOME/.config/openbox/) -->
    <file>menu.xml</file>
    <hideDelay>100</hideDelay>
    <!-- if a press-release lasts longer than this setting (in milliseconds), the
       menu is hidden again -->
    <middle>no</middle>
    <!-- center submenus vertically about the parent entry -->
    <submenuShowDelay>100</submenuShowDelay>
    <!-- time to delay before showing a submenu after hovering over the parent
       entry.
       if this is a negative value, then the delay is infinite and the
       submenu will not be shown until it is clicked on -->
    <submenuHideDelay>100</submenuHideDelay>
    <!-- time to delay before hiding a submenu when selecting another
       entry in parent menu
       if this is a negative value, then the delay is infinite and the
       submenu will not be hidden until a different submenu is opened -->
    <showIcons>yes</showIcons>
    <!-- controls if icons appear in the client-list-(combined-)menu -->
    <manageDesktops>yes</manageDesktops>
    <!-- show the manage desktops section in the client-list-(combined-)menu -->
  </menu>
  <applications>
    <!--                                    -->
    <!-- stack application window to center -->
    <!--                                    -->
    <application type="normal">
      <decor>yes</decor> <!-- WINDOW_DECORATION -->
      <position> <!-- WINDOW_STACKING_TOP -->
        <x>center</x>
        <y>center</y>
      </position> <!-- WINDOW_STACKING_BOTTOM -->
    </application>
    <!--                                   -->
    <!-- Ardour Plugins and other utilitis -->
    <!--                                   -->
    <application type="utility">
      <position force="yes">
        <x>-0</x>
        <y>0</y>
      </position>
    </application>
    <!-- Dialogs -->
    <application type="dialog">
      <position>
        <x>center</x>
        <y>center</y>
      </position>
    </application>
    <!--                                -->
    <!-- Splash (Gimp, LibreOffice etc) -->
    <!--                                -->
    <application type="splash">
      <position>
        <x>center</x>
        <y>center</y>
      </position>
    </application>
    <!--                                       -->
    <!-- applications tile to right top corner -->
    <!--                                       -->
    <application name="termite">
      <size>
        <width>60%</width>
        <height>50%</height>
      </size>
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application title="*st">
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application title="*micro">
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application title="*mpv">
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <!--               Cantata                 -->
    <application name="cantata">
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application title="Refresh">
      <position force="yes">
        <x>center</x>
        <y>center</y>
      </position>
    </application>
    <!--                                       -->
    <application name="qpdfview">
      <decor>no</decor>
      <size>
        <width>50%</width>
        <height>100%</height>
      </size>
      <position force="yes">
        <x>-0</x>
        <y>0</y>
      </position>
    </application>
    <application name="nitrogen">
      <decor>yes</decor>
      <position>
        <x>-0</x>
        <y>0</y>
      </position>
      <size>
        <width>50%</width>
        <height>100%</height>
      </size>
    </application>
    <application name="arandr">
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application name="xfce4-display-settings">
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application name="viewnior">
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application name="transmission-gtk">
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application name="syncthing-gtk">
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application name="obkey">
      <position force="yes">
        <x>2</x>
        <y>4</y>
      </position>
    </application>
    <application name="xfce4-settings-manager">
      <decor>yes</decor>
      <position>
        <x>-0</x>
        <y>0</y>
      </position>
      <size>
        <width>50%</width>
        <height>100%</height>
      </size>
    </application>
    <application name="xfce4-settings-editor">
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application name="thunar-volman-settings">
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application title="watch">
      <decor>no</decor>
      <position force="yes">
        <x>-0</x>
        <y>0</y>
      </position>
    </application>
    <application title="scripts-box.sh checkupdates">
      <size>
        <width>52%</width>
        <height>40%</height>
      </size>
      <decor>no</decor>
      <position force="yes">
        <x>-0</x>
        <y>0</y>
      </position>
      <layer>above</layer>
    </application>
    <application title="scripts-box.sh update_mirrors">
      <size>
        <width>52%</width>
        <height>40%</height>
      </size>
      <decor>no</decor>
      <position force="yes">
        <x>-0</x>
        <y>0</y>
      </position>
      <layer>above</layer>
    </application>
    <application title="rb-lidctl.sh lid_close_suspend">
      <size>
        <width>30%</width>
        <height>8%</height>
      </size>
      <decor>no</decor>
      <position force="yes">
        <x>0</x>
        <y>0</y>
      </position>
      <layer>above</layer>
    </application>
    <application title="rb-lidctl.sh lid_close_ignore">
      <size>
        <width>30%</width>
        <height>8%</height>
      </size>
      <decor>no</decor>
      <position force="yes">
        <x>0</x>
        <y>0</y>
      </position>
      <layer>above</layer>
    </application>
    <application title="*ranger">
      <size>
        <width>60%</width>
        <height>50%</height>
      </size>
      <decor>no</decor>
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application title="Unnamed Window">
      <decor>no</decor>
      <size>
        <width>60%</width>
        <height>50%</height>
      </size>
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application title="scripts-box.sh wise_update">
      <decor>no</decor>
      <size>
        <width>52%</width>
        <height>40%</height>
      </size>
      <position force="yes">
        <x>-0</x>
        <y>0</y>
      </position>
      <layer>above</layer>
    </application>
    <application name="Catfish">
      <size>
        <width>57%</width>
        <height>45%</height>
      </size>
      <position force="yes">
        <x>-0</x>
        <y>0</y>
      </position>
    </application>
    <application name="zathura">
      <decor>no</decor>
      <size>
        <width>49%</width>
        <height>98%</height>
      </size>
      <position force="yes">
        <x>-8</x>
        <y>8</y>
      </position>
    </application>
    <application title="cmus">
      <decor>no</decor>
      <size>
        <width>60%</width>
        <height>50%</height>
      </size>
      <position force="yes">
        <x>-2</x>
        <y>4</y>
      </position>
    </application>
    <application name="nm-connection-editor">
      <decor>yes</decor>
      <position force="yes">
        <x>-0</x>
        <y>0</y>
      </position>
    </application>
    <application name="hardinfo">
      <decor>yes</decor>
      <position force="yes">
        <x>-0</x>
        <y>0</y>
      </position>
    </application>
    <!--                                      -->
    <!-- applications tile to left top corner -->
    <!--                                      -->
    <application name="keepassxc">
      <decor>yes</decor>
      <position force="yes">
        <x>0</x>
      </position>
    </application>
    <application name="xfce4-keyboard-settings">
      <position force="yes">
        <x>60</x>
        <y>10</y>
      </position>
    </application>
    <application name="xfce4-mime-settings">
      <position force="yes">
        <x>60</x>
        <y>10</y>
      </position>
    </application>
    <application title="htop">
      <size>
        <width>64%</width>
      </size>
      <decor>no</decor>
      <position force="yes">
        <x>-0</x>
        <y>0</y>
      </position>
    </application>
    <application name="pamac-updater">
      <position force="yes">
        <x>8</x>
        <y>8</y>
      </position>
    </application>
    <application name="pamac-manager">
      <position force="yes">
        <x>8</x>
        <y>8</y>
      </position>
    </application>
    <application title="scripts-box.sh">
      <size>
        <width>45%</width>
        <height>10%</height>
      </size>
      <decor>no</decor>
      <position force="yes">
        <x>0</x>
        <y>0</y>
      </position>
      <layer>above</layer>
    </application>
    <application title="scripts-box.sh nm_applet_add">
      <size>
        <width>45%</width>
        <height>10%</height>
      </size>
      <decor>no</decor>
      <position force="yes">
        <x>0</x>
        <y>0</y>
      </position>
      <layer>above</layer>
    </application>
    <application title="scripts-box.sh nm_applet_remove">
      <size>
        <width>45%</width>
        <height>10%</height>
      </size>
      <decor>no</decor>
      <position force="yes">
        <x>0</x>
        <y>0</y>
      </position>
      <layer>above</layer>
    </application>
    <application title="rb-workflow.sh daily">
      <size>
        <width>47%</width>
        <height>25%</height>
      </size>
      <decor>no</decor>
      <position force="yes">
        <x>0</x>
        <y>0</y>
      </position>
      <layer>above</layer>
    </application>
    <application title="rb-workflow.sh studio">
      <size>
        <width>47%</width>
        <height>25%</height>
      </size>
      <decor>no</decor>
      <position force="yes">
        <x>0</x>
        <y>0</y>
      </position>
      <layer>above</layer>
    </application>
    <application title="rb-workflow.sh altr">
      <size>
        <width>47%</width>
        <height>25%</height>
      </size>
      <decor>no</decor>
      <position force="yes">
        <x>0</x>
        <y>0</y>
      </position>
      <layer>above</layer>
    </application>
    <application title="rb-workflow.sh hperf">
      <size>
        <width>47%</width>
        <height>25%</height>
      </size>
      <decor>no</decor>
      <position force="yes">
        <x>0</x>
        <y>0</y>
      </position>
      <layer>above</layer>
    </application>
    <!--                                            -->
    <!--  maximized applications without decoration -->
    <!--                                            -->
    <application title="Mozilla Firefox">
      <decor>no</decor>
      <maximized>yes</maximized>
    </application>
    <!--  Libre Office -->
    <application name="libreoffice">
      <decor>yes</decor>
      <maximized>yes</maximized>
    </application>
    <application title="Open">
      <size>
        <width>55%</width>
        <height>30%</height>
      </size>
      <position force="yes">
        <x>10</x>
        <y>10</y>
      </position>
    </application>
    <application title="Save">
      <size>
        <width>55%</width>
        <height>30%</height>
      </size>
      <position force="yes">
        <x>10</x>
        <y>10</y>
      </position>
    </application>
    <application title="Export">
      <size>
        <width>55%</width>
        <height>30%</height>
      </size>
      <position force="yes">
        <x>10</x>
        <y>10</y>
      </position>
    </application>
    <!--  end Libre Office -->
    <!--  Gimp -->
    <application title="GNU Image Manipulation Program">
      <decor>no</decor>
      <maximized>yes</maximized>
    </application>
    <application title="Open Image">
      <size>
        <width>55%</width>
        <height>30%</height>
      </size>
    </application>
    <application title="Save Image">
      <size>
        <width>55%</width>
        <height>30%</height>
      </size>
    </application>
    <application title="Open Image as Layers">
      <size>
        <width>55%</width>
        <height>30%</height>
      </size>
    </application>
    <application title="Export Image">
      <size>
        <width>55%</width>
        <height>30%</height>
      </size>
    </application>
    <!-- end Gimp -->
    <application title="*Ardour">
      <decor>no</decor>
      <maximized>yes</maximized>
    </application>
    <application name="audacity">
      <decor>no</decor>
      <maximized>yes</maximized>
    </application>
    <application name="lmms">
      <decor>no</decor>
      <maximized>yes</maximized>
    </application>
    <!-- Meld -->
    <application title="New comparison">
      <decor>no</decor>
      <maximized>yes</maximized>
    </application>
    <application name="gitkraken">
      <decor>no</decor>
      <maximized>yes</maximized>
    </application>
    <application title="*Sublime Text (UNREGISTERED)">
      <decor>no</decor>
      <maximized>yes</maximized>
    </application>
    <!--         -->
    <!--  Zenity -->
    <!--         -->
    <application title="Work in progress...">
      <decor>no</decor>
      <position force="yes">
        <x>217</x>
        <y>0</y>
      </position>
    </application>
    <application title="Backup Studio Sessions">
      <decor>no</decor>
      <position force="yes">
        <x>217</x>
        <y>0</y>
      </position>
    </application>
    <application title="Backup Ardour Settings">
      <decor>no</decor>
      <position force="yes">
        <x>217</x>
        <y>0</y>
      </position>
    </application>
    <application title="Synchronize Studio Sessions">
      <decor>no</decor>
      <position force="yes">
        <x>217</x>
        <y>0</y>
      </position>
    </application>
    <application title="Synchronize Ardour Settings">
      <decor>no</decor>
      <position force="yes">
        <x>217</x>
        <y>0</y>
      </position>
    </application>
    <application title="Clean old backups">
      <decor>no</decor>
      <position force="yes">
        <x>217</x>
        <y>0</y>
      </position>
    </application>
    <application title="Calendar">
      <decor>no</decor>
      <position force="yes">
        <x>center</x>
        <y>0</y>
      </position>
    </application>
    <application title="Calendar - *">
      <decor>no</decor>
      <position force="yes">
        <x>center</x>
        <y>0</y>
      </position>
    </application>
    <application class="Zenity" name="zenity" title="Adjust the scale value" type="dialog">
      <decor>no</decor>
      <skip_taskbar>yes</skip_taskbar>
      <position force="yes">
        <x>-0</x>
        <y>0</y>
      </position>
      <layer>above</layer>
    </application>
    <!--
  # this is an example with comments through out. use these to make your
  # own rules, but without the comments of course.
  # you may use one or more of the name/class/role/title/type rules to specify
  # windows to match

  <application name="the window's _OB_APP_NAME property (see obxprop)"
              class="the window's _OB_APP_CLASS property (see obxprop)"
          groupname="the window's _OB_APP_GROUP_NAME property (see obxprop)"
         groupclass="the window's _OB_APP_GROUP_CLASS property (see obxprop)"
               role="the window's _OB_APP_ROLE property (see obxprop)"
              title="the window's _OB_APP_TITLE property (see obxprop)"
               type="the window's _OB_APP_TYPE property (see obxprob)..
                      (if unspecified, then it is 'dialog' for child windows)">
  # you may set only one of name/class/role/title/type, or you may use more
  # than one together to restrict your matches.

  # the name, class, role, and title use simple wildcard matching such as those
  # used by a shell. you can use * to match any characters and ? to match
  # any single character.

  # the type is one of: normal, dialog, splash, utility, menu, toolbar, dock,
  #    or desktop

  # when multiple rules match a window, they will all be applied, in the
  # order that they appear in this list

    # each rule element can be left out or set to 'default' to specify to not 
    # change that attribute of the window

    <decor>yes</decor>
    # enable or disable window decorations

    <shade>no</shade>
    # make the window shaded when it appears, or not

    <position force="no">
      # the position is only used if both an x and y coordinate are provided
      # (and not set to 'default')
      # when force is "yes", then the window will be placed here even if it
      # says you want it placed elsewhere.  this is to override buggy
      # applications who refuse to behave
      <x>center</x>
      # a number like 50, or 'center' to center on screen. use a negative number
      # to start from the right (or bottom for <y>), ie -50 is 50 pixels from
      # the right edge (or bottom). use 'default' to specify using value
      # provided by the application, or chosen by openbox, instead.
      <y>200</y>
      <monitor>1</monitor>
      # specifies the monitor in a xinerama setup.
      # 1 is the first head, or 'mouse' for wherever the mouse is
    </position>

    <size>
      # the size to make the window.
      <width>20</width>
      # a number like 20, or 'default' to use the size given by the application.
      # you can use fractions such as 1/2 or percentages such as 75% in which
      # case the value is relative to the size of the monitor that the window
      # appears on.
      <height>30%</height>
    </size>

    <focus>yes</focus>
    # if the window should try be given focus when it appears. if this is set
    # to yes it doesn't guarantee the window will be given focus. some
    # restrictions may apply, but Openbox will try to

    <desktop>1</desktop>
    # 1 is the first desktop, 'all' for all desktops

    <layer>normal</layer>
    # 'above', 'normal', or 'below'

    <iconic>no</iconic>
    # make the window iconified when it appears, or not

    <skip_pager>no</skip_pager>
    # asks to not be shown in pagers

    <skip_taskbar>no</skip_taskbar>
    # asks to not be shown in taskbars. window cycling actions will also
    # skip past such windows

    <fullscreen>yes</fullscreen>
    # make the window in fullscreen mode when it appears

    <maximized>true</maximized>
    # 'Horizontal', 'Vertical' or boolean (yes/no)
  </application>

  # end of the example

  XF86 keys https://cgit.freedesktop.org/xorg/proto/x11proto/tree/XF86keysym.h

-->
  </applications>
  <!--                                                                           -->
  <!--                              Mouse Bindings                               -->
  <!--                                                                           -->
  <mouse>
    <dragThreshold>4</dragThreshold>
    <!-- number of pixels the mouse must move before a drag begins -->
    <doubleClickTime>500</doubleClickTime>
    <!-- in milliseconds (1000 = 1 second) -->
    <screenEdgeWarpTime>400</screenEdgeWarpTime>
    <!-- Time before changing desktops when the pointer touches the edge of the
       screen while moving a window, in milliseconds (1000 = 1 second).
       Set this to 0 to disable warping -->
    <screenEdgeWarpMouse>false</screenEdgeWarpMouse>
    <!-- Set this to TRUE to move the mouse pointer across the desktop when
       switching due to hitting the edge of the screen -->
    <context name="Frame">
      <mousebind action="Press" button="A-Left">
        <action name="Focus"/>
        <action name="Raise"/>
      </mousebind>
      <mousebind action="Drag" button="A-Left">
        <action name="Move"/>
      </mousebind>
      <mousebind action="Press" button="A-Right">
        <action name="Focus"/>
        <action name="Raise"/>
        <action name="Unshade"/>
      </mousebind>
      <mousebind action="Drag" button="A-Right">
        <action name="Resize"/>
      </mousebind>
    </context>
    <context name="Titlebar">
      <mousebind action="Press" button="A-Left">
        <action name="Focus"/>
        <action name="Raise"/>
      </mousebind>
      <mousebind action="Drag" button="A-Left">
        <action name="Move"/>
      </mousebind>
      <mousebind action="Press" button="Left">
        <action name="Focus"/>
        <action name="Raise"/>
      </mousebind>
      <mousebind action="Drag" button="Left">
        <action name="if">
          <maximizedvertical>yes</maximizedvertical>
          <then>
            <action name="Unmaximize"/>
            <direction>vertical</direction>
            <action name="MoveResizeTo">
              <x>center</x>
              <y>current</y>
            </action>
            <action name="Move"/>
          </then>
          <else>
            <action name="Move"/>
          </else>
        </action>
      </mousebind>
      <mousebind action="DoubleClick" button="Left">
        <action name="Iconify"/> <!-- DOUBLECLICK_TITLEBAR -->
      </mousebind>
      <mousebind action="Click" button="Up">
        <action name="if">
          <shaded>no</shaded>
          <then>
            <action name="Shade"/>
            <action name="FocusToBottom"/>
            <action name="Unfocus"/>
            <action name="Lower"/>
          </then>
        </action>
      </mousebind>
      <mousebind action="Click" button="Down">
        <action name="if">
          <shaded>yes</shaded>
          <then>
            <action name="Unshade"/>
            <action name="Raise"/>
          </then>
        </action>
      </mousebind>
      <mousebind action="Press" button="Right">
        <action name="Focus"/>
        <action name="Raise"/>
        <action name="ShowMenu">
          <menu>client-menu</menu>
        </action>
      </mousebind>
    </context>
    <context name="Titlebar Top Right Bottom Left TLCorner TRCorner BRCorner BLCorner">
      <mousebind action="Press" button="Left">
        <action name="Focus"/>
        <action name="Raise"/>
        <action name="Unshade"/>
      </mousebind>
      <mousebind action="Press" button="Middle">
        <action name="ToggleMaximize"/> <!-- MIDDLECLICK_TITLEBAR -->
      </mousebind>
      <mousebind action="Press" button="Right">
        <action name="Focus"/>
        <action name="Raise"/>
        <action name="ShowMenu">
          <menu>client-menu</menu>
        </action>
      </mousebind>
    </context>
    <context name="Top">
      <mousebind action="Drag" button="Left">
        <action name="Resize">
          <edge>top</edge>
        </action>
      </mousebind>
    </context>
    <context name="Left">
      <mousebind action="Drag" button="Left">
        <action name="Resize">
          <edge>left</edge>
        </action>
      </mousebind>
    </context>
    <context name="Right">
      <mousebind action="Drag" button="Left">
        <action name="Resize">
          <edge>right</edge>
        </action>
      </mousebind>
    </context>
    <context name="Bottom">
      <mousebind action="Drag" button="Left">
        <action name="Resize">
          <edge>bottom</edge>
        </action>
      </mousebind>
      <mousebind action="Press" button="Right">
        <action name="Focus"/>
        <action name="Raise"/>
        <action name="ShowMenu">
          <menu>client-menu</menu>
        </action>
      </mousebind>
    </context>
    <context name="Titlebar Top Right Bottom Left TLCorner TRCorner BRCorner BLCorner">
      <mousebind action="Press" button="Left">
        <action name="Focus"/>
        <action name="Raise"/>
        <action name="Unshade"/>
      </mousebind>
      <mousebind action="Press" button="Right">
        <action name="Focus"/>
        <action name="Raise"/>
        <action name="ShowMenu">
          <menu>client-menu</menu>
        </action>
      </mousebind>
    </context>
    <context name="Top">
      <mousebind action="Press" button="Left">
        <action name="Focus"/>
        <action name="Raise"/>
        <action name="Unshade"/>
      </mousebind>
      <mousebind action="Drag" button="Left">
        <action name="Resize">
          <edge>top</edge>
        </action>
      </mousebind>
    </context>
    <context name="Left">
      <mousebind action="Press" button="Left">
        <action name="Focus"/>
        <action name="Raise"/>
      </mousebind>
      <mousebind action="Drag" button="Left">
        <action name="Resize">
          <edge>left</edge>
        </action>
      </mousebind>
    </context>
    <context name="Right">
      <mousebind action="Press" button="Left">
        <action name="Focus"/>
        <action name="Raise"/>
      </mousebind>
      <mousebind action="Drag" button="Left">
        <action name="Resize">
          <edge>right</edge>
        </action>
      </mousebind>
    </context>
    <context name="Bottom">
      <mousebind action="Press" button="Left">
        <action name="Focus"/>
        <action name="Raise"/>
      </mousebind>
      <mousebind action="Drag" button="Left">
        <action name="Resize">
          <edge>bottom</edge>
        </action>
      </mousebind>
    </context>
    <context name="TRCorner BRCorner TLCorner BLCorner">
      <mousebind action="Press" button="Left">
        <action name="Focus"/>
        <action name="Raise"/>
        <action name="Unshade"/>
      </mousebind>
      <mousebind action="Drag" button="Left">
        <action name="Resize"/>
      </mousebind>
    </context>
    <context name="Client">
      <mousebind action="Press" button="A-Left">
        <action name="Focus"/>
        <action name="Raise"/>
      </mousebind>
      <mousebind action="Drag" button="A-Left">
        <action name="Move"/>
      </mousebind>
      <mousebind action="Press" button="Left">
        <action name="Focus"/>
        <action name="Raise"/>
      </mousebind>
      <mousebind action="Press" button="Right">
        <action name="Focus"/>
        <action name="Raise"/>
      </mousebind>
    </context>
    <context name="Icon">
      <mousebind action="Press" button="Right">
        <action name="Focus"/>
        <action name="Raise"/>
        <action name="Unshade"/>
        <action name="ShowMenu">
          <menu>client-menu</menu>
        </action>
      </mousebind>
    </context>
    <context name="AllDesktops">
      <mousebind action="Click" button="Left">
        <action name="ToggleOmnipresent"/>
      </mousebind>
    </context>
    <context name="Shade">
      <mousebind action="Click" button="Left">
        <action name="ToggleShade"/>
      </mousebind>
    </context>
    <context name="Iconify">
      <mousebind action="Click" button="Left">
        <action name="Iconify"/>
      </mousebind>
    </context>
    <context name="Maximize">
      <mousebind action="Press" button="Left">
        <action name="Focus"/>
        <action name="Raise"/>
        <action name="Unshade"/>
      </mousebind>
      <mousebind action="Press" button="Right">
        <action name="Focus"/>
        <action name="Raise"/>
        <action name="Unshade"/>
      </mousebind>
      <mousebind action="Click" button="Left">
        <action name="ToggleMaximize"/>
      </mousebind>
      <mousebind action="Click" button="Right">
        <action name="ToggleMaximize">
          <direction>horizontal</direction>
        </action>
      </mousebind>
    </context>
    <context name="Close">
      <mousebind action="Click" button="Left">
        <action name="Close"/>
      </mousebind>
    </context>
    <context name="Desktop">
      <mousebind action="Click" button="Left">
        <action name="Focus"/>
      </mousebind>
      <mousebind action="Click" button="A-Up">
        <action name="GoToDesktop">
          <to>previous</to>
        </action>
      </mousebind>
      <mousebind action="Click" button="A-Down">
        <action name="GoToDesktop">
          <to>next</to>
        </action>
      </mousebind>
    </context>
    <context name="Root">
      <mousebind action="Press" button="Middle">
        <action name="ShowMenu">
          <menu>client-list-combined-menu</menu>
        </action>
      </mousebind>
      <mousebind action="Press" button="A-Right">
        <action name="ShowMenu">
          <menu>client-list-combined-menu</menu>
        </action>
      </mousebind>
      <mousebind action="Press" button="Right">
        <action name="Execute">
          <command>scripts-box.sh start_rclick_menu</command>
        </action>
      </mousebind>
    </context>
  </mouse>
  <!--                                                                           -->
  <!--                                Keybindings                                -->
  <!--                                                                           -->
  <keyboard>
    <chainQuitKey>C-g</chainQuitKey>
    <keybind key="W-1">
      <action name="Desktop">
        <desktop>1</desktop>
      </action>
    </keybind>
    <keybind key="W-2">
      <action name="Desktop">
        <desktop>2</desktop>
      </action>
    </keybind>
    <keybind key="W-3">
      <action name="Desktop">
        <desktop>3</desktop>
      </action>
    </keybind>
    <keybind key="W-4">
      <action name="Desktop">
        <desktop>4</desktop>
      </action>
    </keybind>
    <keybind key="W-5">
      <action name="Desktop">
        <desktop>5</desktop>
      </action>
    </keybind>
    <keybind key="W-6">
      <action name="Desktop">
        <desktop>6</desktop>
      </action>
    </keybind>
    <keybind key="W-7">
      <action name="Desktop">
        <desktop>7</desktop>
      </action>
    </keybind>
    <keybind key="W-8">
      <action name="Desktop">
        <desktop>8</desktop>
      </action>
    </keybind>
    <keybind key="W-9">
      <action name="Execute">
        <command>betterlockscreen -l</command>
      </action>
    </keybind>
    <keybind key="W-0">
      <action name="Execute">
        <command>rb-session.sh rofi_session_menu</command>
      </action>
    </keybind>
    <keybind key="A-1">
      <action name="SendToDesktop">
        <desktop>1</desktop>
      </action>
    </keybind>
    <keybind key="A-2">
      <action name="SendToDesktop">
        <desktop>2</desktop>
      </action>
    </keybind>
    <keybind key="A-3">
      <action name="SendToDesktop">
        <desktop>3</desktop>
      </action>
    </keybind>
    <keybind key="A-4">
      <action name="SendToDesktop">
        <desktop>4</desktop>
      </action>
    </keybind>
    <keybind key="A-5">
      <action name="SendToDesktop">
        <desktop>5</desktop>
      </action>
    </keybind>
    <keybind key="A-6">
      <action name="SendToDesktop">
        <desktop>6</desktop>
      </action>
    </keybind>
    <keybind key="A-7">
      <action name="SendToDesktop">
        <desktop>7</desktop>
      </action>
    </keybind>
    <keybind key="A-8">
      <action name="SendToDesktop">
        <desktop>8</desktop>
      </action>
    </keybind>
    <keybind key="W-Page_Up">
      <action name="AddDesktopLast"/>
    </keybind>
    <keybind key="W-Page_Down">
      <action name="RemoveDesktopLast"/>
    </keybind>
    <keybind key="S-A-Right">
      <action name="DesktopNext"/>
    </keybind>
    <keybind key="S-A-Left">
      <action name="DesktopPrevious"/>
    </keybind>
    <keybind key="W-S-q">
      <action name="Close"/>
    </keybind>
    <keybind key="A-Tab">
      <action name="Lower"/>
      <action name="FocusToBottom"/>
      <action name="Unfocus"/>
    </keybind>
    <keybind key="W-space">
      <action name="ShowMenu">
        <menu>client-menu</menu>
      </action>
    </keybind>
    <keybind key="C-A-h">
      <action name="ToggleDecorations"/>
    </keybind>
    <keybind key="C-A-k">
      <action name="ToggleAlwaysOnTop"/>
    </keybind>
    <keybind key="C-A-j">
      <action name="ToggleAlwaysOnBottom"/>
    </keybind>
    <keybind key="C-A-l">
      <action name="SendToNormalLayer"/>
    </keybind>
    <keybind key="C-A-semicolon">
      <action name="ToggleShade"/>
    </keybind>
    <keybind key="W-Tab">
      <action name="Execute">
        <command>skippy-xd --activate-window-picker</command>
      </action>
    </keybind>
    <keybind key="C-0">
      <action name="Unfocus"/>
      <action name="ShowMenu">
        <menu>client-list-combined-menu</menu>
      </action>
    </keybind>
    <keybind key="W-e">
      <action name="Execute">
        <command>kfmclient openProfile filemanagement</command>
        <startupnotify>
          <enabled>yes</enabled>
          <name>Konqueror</name>
        </startupnotify>
      </action>
    </keybind>
    <keybind key="W-Return">
      <action name="Execute">
        <command>exo-open --launch TerminalEmulator</command>
      </action>
    </keybind>
    <keybind key="A-e">
      <action name="Iconify"/>
    </keybind>
    <keybind key="A-w">
      <action name="Lower"/>
      <action name="NextWindow">
        <bar>no</bar>
      </action>
      <action name="Focus"/>
      <action name="FocusToBottom"/>
    </keybind>
    <keybind key="A-q">
      <action name="NextWindow">
        <bar>no</bar>
      </action>
    </keybind>
    <keybind key="W-u">
      <action name="ToggleShowDesktop"/>
    </keybind>
    <keybind key="W-i">
      <action name="Execute">
        <command>rofi -show drun</command>
      </action>
    </keybind>
    <keybind key="S-W-i">
      <action name="Execute">
        <command>rofi -show run</command>
      </action>
    </keybind>
    <keybind key="S-W-o">
      <action name="Execute">
        <command>rofi -show window</command>
      </action>
    </keybind>
    <keybind key="W-p">
      <action name="Execute">
        <command>networkmanager_dmenu</command>
      </action>
    </keybind>
    <keybind key="S-W-p">
      <action name="Execute">
        <command>scripts-box.sh rofi_places</command>
      </action>
    </keybind>
    <keybind key="Print">
      <action name="Execute">
        <command>rb-screenshot.sh --rofi-scrot-menu</command>
      </action>
    </keybind>
    <keybind key="W-o">
      <action name="Execute">
        <command>rofi-websearch.sh</command>
      </action>
    </keybind>
    <keybind key="W-m">
      <action name="Execute">
        <command>rb-rofi-mount.sh</command>
      </action>
    </keybind>
    <keybind key="C-space">
      <action name="Execute">
        <command>scripts-box.sh start_rclick_menu</command>
      </action>
    </keybind>
    <keybind key="A-k">
      <action name="ToggleDecorations"/>
      <action name="MaximizeFull"/>
    </keybind>
    <keybind key="A-j">
      <action name="ToggleDecorations"/>
      <action name="UnmaximizeFull"/>
    </keybind>
    <keybind key="A-h">
      <action name="UnmaximizeFull"/>
      <action name="ToggleDecorations"/>
      <action name="MoveResizeTo">
        <x>8</x>
        <y>4</y>
        <width>49%</width>
        <height>99%</height>
      </action>
    </keybind>
    <keybind key="A-l">
      <action name="UnmaximizeFull"/>
      <action name="ToggleDecorations"/>
      <action name="MoveResizeTo">
        <x>-8</x>
        <y>4</y>
        <width>49%</width>
        <height>99%</height>
      </action>
    </keybind>
    <keybind key="A-semicolon">
      <action name="ToggleDecorations"/>
      <action name="UnmaximizeFull"/>
      <action name="MoveResizeTo">
        <x>center</x>
        <y>center</y>
        <width>99%</width>
        <height>98%</height>
      </action>
    </keybind>
    <keybind key="S-A-h">
      <action name="Undecorate"/>
      <action name="MoveResizeTo">
        <width>50%</width>
        <height>50%</height>
      </action>
      <action name="MoveToEdgeNorth"/>
      <action name="MoveToEdgeWest"/>
    </keybind>
    <keybind key="S-A-l">
      <action name="Undecorate"/>
      <action name="MoveResizeTo">
        <width>50%</width>
        <height>50%</height>
      </action>
      <action name="MoveToEdgeNorth"/>
      <action name="MoveToEdgeEast"/>
    </keybind>
    <keybind key="S-A-j">
      <action name="Undecorate"/>
      <action name="MoveResizeTo">
        <width>50%</width>
        <height>50%</height>
      </action>
      <action name="MoveToEdgeSouth"/>
      <action name="MoveToEdgeWest"/>
    </keybind>
    <keybind key="S-A-k">
      <action name="Undecorate"/>
      <action name="MoveResizeTo">
        <width>50%</width>
        <height>50%</height>
      </action>
      <action name="MoveToEdgeSouth"/>
      <action name="MoveToEdgeEast"/>
    </keybind>
    <keybind key="W-h">
      <action name="MoveToEdgeNorth"/>
      <action name="MoveToEdgeWest"/>
    </keybind>
    <keybind key="W-j">
      <action name="MoveToEdgeSouth"/>
      <action name="MoveToEdgeWest"/>
    </keybind>
    <keybind key="W-semicolon">
      <action name="MoveToCenter"/>
    </keybind>
    <keybind key="W-k">
      <action name="MoveToEdgeSouth"/>
      <action name="MoveToEdgeEast"/>
    </keybind>
    <keybind key="W-l">
      <action name="MoveToEdgeNorth"/>
      <action name="MoveToEdgeEast"/>
    </keybind>
    <keybind key="S-W-h">
      <action name="ResizeRelative">
        <left>25</left>
        <right>25</right>
      </action>
    </keybind>
    <keybind key="S-W-k">
      <action name="ResizeRelative">
        <top>50</top>
      </action>
    </keybind>
    <keybind key="S-W-j">
      <action name="ResizeRelative">
        <bottom>-50</bottom>
      </action>
    </keybind>
    <keybind key="S-W-l">
      <action name="ResizeRelative">
        <left>-25</left>
        <right>-25</right>
      </action>
    </keybind>
    <keybind key="C-S-w">
      <action name="Execute">
        <command>scripts-box.sh touchpad</command>
      </action>
    </keybind>
    <keybind key="XF86MonBrightnessUp">
      <action name="Execute">
        <command>rb-control.sh backlight_up</command>
      </action>
    </keybind>
    <keybind key="XF86MonBrightnessDown">
      <action name="Execute">
        <command>rb-control.sh backlight_down</command>
      </action>
    </keybind>
    <keybind key="XF86AudioRaiseVolume">
      <action name="Execute">
        <command>rb-control.sh vol_up</command>
      </action>
    </keybind>
    <keybind key="XF86AudioLowerVolume">
      <action name="Execute">
        <command>rb-control.sh vol_down</command>
      </action>
    </keybind>
    <keybind key="XF86AudioMute">
      <action name="Execute">
        <command>rb-control.sh vol_mute</command>
      </action>
    </keybind>
    <keybind key="XF86AudioMicMute">
      <action name="Execute">
        <command>rb-control.sh micro_mute</command>
      </action>
    </keybind>
    <keybind key="XF86AudioStop">
      <action name="Execute">
        <command>playerctl stop</command>
      </action>
    </keybind>
    <keybind key="XF86AudioPlay">
      <action name="Execute">
        <command>playerctl play-pause</command>
      </action>
    </keybind>
    <keybind key="XF86AudioPrev">
      <action name="Execute">
        <command>playerctl previous</command>
      </action>
    </keybind>
    <keybind key="XF86AudioNext">
      <action name="Execute">
        <command>playerctl next</command>
      </action>
    </keybind>
    <keybind key="W-f">
      <action name="Execute">
        <command>termite --exec="ranger"</command>
      </action>
    </keybind>
    <keybind key="W-b">
      <action name="Execute">
        <command>exo-open --launch WebBrowser</command>
      </action>
    </keybind>
    <keybind key="W-c">
      <action name="Execute">
        <command>termite --exec=&quot;cmus&quot;</command>
      </action>
    </keybind>
    <keybind key="S-W-plus">
      <action name="Execute">
        <command>rb-control.sh backlight_toggle</command>
      </action>
    </keybind>
    <keybind key="C-S-d">
      <action name="Execute">
        <command>rb-control.sh date_notify</command>
      </action>
    </keybind>
    <keybind key="S-A-p">
      <action name="Unfocus"/>
      <action name="Execute">
        <command>cmus-remote -u</command>
      </action>
    </keybind>
    <keybind key="S-A-braceright">
      <action name="Unfocus"/>
      <action name="Execute">
        <command>cmus-remote -n</command>
      </action>
    </keybind>
    <keybind key="S-A-braceleft">
      <action name="Unfocus"/>
      <action name="Execute">
        <command>cmus-remote -r</command>
      </action>
    </keybind>
  </keyboard>
</openbox_config>
